org.vishia.guiBzr

## Class DataCmpn

- java.lang.Object
- - org.vishia.guiBzr.DataCmpn

-     public class DataCmpn
      extends java.lang.Object

  This class contains all data from the Source-Archive of one component.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `DataCmpn.Revision`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.io.File` | `dirArchive` Directory where the .bzr of the archive (without working tree) is contained.
    `(package private) java.io.File` | `dirRemoteArchive` Directory where the .bzr of any remote .bzr is contained.
    `(package private) java.io.File` | `dirWorkingtree` Directory where the .bzr of the working tree is contained.
    `(package private) java.util.Map<java.lang.String,DataFile>` | `indexFiles`
    `(package private) java.util.List<DataFile>` | `listAddFiles`
    `(package private) java.util.List<DataFile>` | `listModifiedFiles`
    `(package private) java.util.List<DataFile>` | `listNewFiles`
    `(package private) java.util.List<DataFile>` | `listRemovedFiles`
    `(package private) java.util.List<DataFile>` | `listRenamedFiles`
    `(package private) DataCmpn.Revision` | `revisionArchive` The version number form the last commit or revert in this sandbox and the top version number in the branch.
    `(package private) DataCmpn.Revision` | `revisionRemoteArchive` The version number form the last commit or revert in this sandbox and the top version number in the branch.
    `(package private) DataCmpn.Revision` | `revisionSbox` The version number form the last commit or revert in this sandbox and the top version number in the branch.
    `(package private) DataCmpn.Revision` | `revisionWorkingTreeTop` The version number form the last commit or revert in this sandbox and the top version number in the branch.
    `(package private) java.lang.String` | `sNameCmpn` Name of the component.
    `(package private) java.lang.StringBuilder` | `uBzrError` General error output of all commands.
    `(package private) java.lang.StringBuilder` | `uBzrLastVersion` Output of bzr log -l 1 to get the last version number.
    `(package private) java.lang.StringBuilder` | `uBzrStatusOutput` Output of bzr status invocation of the working box.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataCmpn(java.io.File dirComponent, java.io.File dirArchive, java.io.File dirRemoteArchive)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getBzrLocationDir()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sNameCmpn

          final java.lang.String sNameCmpn

      Name of the component. It is the directory name of the directory where the archive is contained in.

    - #### dirWorkingtree

          final java.io.File dirWorkingtree

      Directory where the .bzr of the working tree is contained.

    - #### dirArchive

          final java.io.File dirArchive

      Directory where the .bzr of the archive (without working tree) is contained.

    - #### dirRemoteArchive

          final java.io.File dirRemoteArchive

      Directory where the .bzr of any remote .bzr is contained.

    - #### revisionSbox

          final DataCmpn.Revision revisionSbox

      The version number form the last commit or revert in this sandbox and the top version number in the branch. If the branch was updated in another Sandbox, it may have a higher number. If the sandbox isn't actual, it may be a older number.
      - The sandbox version is stored either in the file _BzrVersion.txt, which is the output from a invocation "bzr log -l 1" after last commit or revert.
      - Or the sandbox version is stored in the bzr data file of the project.

    - #### revisionWorkingTreeTop

          final DataCmpn.Revision revisionWorkingTreeTop

      The version number form the last commit or revert in this sandbox and the top version number in the branch. If the branch was updated in another Sandbox, it may have a higher number. If the sandbox isn't actual, it may be a older number.
      - The sandbox version is stored either in the file _BzrVersion.txt, which is the output from a invocation "bzr log -l 1" after last commit or revert.
      - Or the sandbox version is stored in the bzr data file of the project.

    - #### revisionArchive

          final DataCmpn.Revision revisionArchive

      The version number form the last commit or revert in this sandbox and the top version number in the branch. If the branch was updated in another Sandbox, it may have a higher number. If the sandbox isn't actual, it may be a older number.
      - The sandbox version is stored either in the file _BzrVersion.txt, which is the output from a invocation "bzr log -l 1" after last commit or revert.
      - Or the sandbox version is stored in the bzr data file of the project.

    - #### revisionRemoteArchive

          final DataCmpn.Revision revisionRemoteArchive

      The version number form the last commit or revert in this sandbox and the top version number in the branch. If the branch was updated in another Sandbox, it may have a higher number. If the sandbox isn't actual, it may be a older number.
      - The sandbox version is stored either in the file _BzrVersion.txt, which is the output from a invocation "bzr log -l 1" after last commit or revert.
      - Or the sandbox version is stored in the bzr data file of the project.

    - #### uBzrStatusOutput

          java.lang.StringBuilder uBzrStatusOutput

      Output of bzr status invocation of the working box.

    - #### uBzrLastVersion

          java.lang.StringBuilder uBzrLastVersion

      Output of bzr log -l 1 to get the last version number.

    - #### uBzrError

          java.lang.StringBuilder uBzrError

      General error output of all commands.

    - #### listModifiedFiles

          java.util.List<DataFile> listModifiedFiles

    - #### listRemovedFiles

          java.util.List<DataFile> listRemovedFiles

    - #### listNewFiles

          java.util.List<DataFile> listNewFiles

    - #### listAddFiles

          java.util.List<DataFile> listAddFiles

    - #### listRenamedFiles

          java.util.List<DataFile> listRenamedFiles

    - #### indexFiles

          final java.util.Map<java.lang.String,DataFile> indexFiles

  - ### Constructor Detail

    - #### DataCmpn

          DataCmpn(java.io.File dirComponent,
                   java.io.File dirArchive,
                   java.io.File dirRemoteArchive)

  - ### Method Detail

    - #### getBzrLocationDir

          public java.io.File getBzrLocationDir()